Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.lang.model.type
Class MirroredTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.lang.model.type.MirroredTypeException

All Implemented Interfaces:
  Serializable

    public class MirroredTypeException

extends RuntimeException

Thrown when an application attempts to access the `Class` object corresponding to a `TypeMirror`.

Since:
  1.6
See Also:
  `MirroredTypesException`, `Element.getAnnotation(Class)`, Serialized Form

Constructor Summary
`MirroredTypeException(TypeMirror type)` Constructs a new MirroredTypeException for the specified type.

Method Summary
`TypeMirror` | `getTypeMirror()` Returns the type mirror corresponding to the type being accessed.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MirroredTypeException

    public MirroredTypeException(TypeMirror type)

  Constructs a new MirroredTypeException for the specified type.

  Parameters:
    `type` - the type being accessed

Method Detail

### getTypeMirror

    public TypeMirror getTypeMirror()

  Returns the type mirror corresponding to the type being accessed. The type mirror may be unavailable if this exception has been serialized and then read back in.

  Returns:
    the type mirror, or `null` if unavailable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.